[Release] FBI - Open source CIA installer

Discussion in '3DS - Homebrew Development and Emulators' started by Steveice10, Apr 11, 2015.

  1. arcticnoah

    arcticnoah Member

    Newcomer
    1
    Jan 3, 2016
    I have a Old 3DS... Pretty sure thats why
     
  2. Quantumcat

    Quantumcat Dead and alive

    Moderator
    21
    GBAtemp Patron
    Quantumcat is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    Nov 23, 2014
    Australia
    Canberra, Australia
    Yeah, I installed some games for a friend with an o3ds and it worked on like the fifth try :-(
     
  3. Jrodt333

    Jrodt333 Advanced Member

    Newcomer
    1
    Oct 29, 2015
    United States
    I'm on 10.3 emuNAND and I have a 9.2 sysNAND. If I install the cia of FBI and the homebrew launcher (it has a cia right?) to my emuNAND then even once 10.4 comes out I should be able to update my emuNAND and still have access to FBI and the homebrew launcher, right? I wouldn't even need ironhax or ninjhax or any other entrypoints?

    Also, in order to get the eshop/NNID working, after updating emuNAND to 10.3 and fooling around with it for a while, I backed my Nintendo 3DS folder, made an emuNAND backup, formatted emuNAND, signed into NNID, then restored all my backups. If I were to delete games purchased from the eshop on my emuNAND, would I still be able to redownload them or are the games no longer linked to my system? I suppose it doesn't matter much if I lose them due to being able to install CIAs, but it feels good to be legit when possible.
     
  4. Elemi

    Elemi Cute and wholesome~

    Member
    5
    Feb 29, 2012
    United Kingdom
    L o c a t e d
    Hello, having trouble installing anything other than 3ds CIAs, getting the invalid ticket error...

    I have:
    Old 3ds
    EmuNand 10.3
    SysNand 9.2

    I was trying to install bigbluemenu through FBI injected H&S app.

    As I say, I have been able to install commercial 3ds games (yes I own hard copies too) even re packs and rom hacks...

    It seems only homebrew fails to install, why? I don't know.
     
  5. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    10
    May 30, 2015
    United States
    As long as emuNAND is able to be run, yes you'll have ability to install and run unsigned CIAs on it
     
  6. Jrodt333

    Jrodt333 Advanced Member

    Newcomer
    1
    Oct 29, 2015
    United States
    Alright, thanks. :)
     
    Last edited by Jrodt333, Jan 6, 2016
  7. Cruzinats

    Cruzinats Member

    Newcomer
    1
    Jan 5, 2016
    Netherlands
    I've managed to install FBI.cia in my h&s with the emunand, but I'm still trying to get the same error when attempting to install a .cia game, tried with multiple games.

    Install failed!
    TTCDF0JAPRFCIA.cia
    source: SOURCE_FSFILE_WRITE (0x1c)
    Module: MODULE_NN_AM (0x20)
    Level: LEVEL_STATUS (0x19)
    Summary: SUMMARY_INVALID_ARGUMENT (0x7)
    Description: <unknown> (0x1)

    What could be wrong?

    I'm on N3DS, 9.2 and RxTools
     
  8. RhythmCat

    RhythmCat GBAtemp Fan

    Member
    2
    Jan 4, 2016
    United States
    Does your SD card has enough space?
    One guy had the same problem and he had 200 mb on his SD card. o.o
     
  9. Cruzinats

    Cruzinats Member

    Newcomer
    1
    Jan 5, 2016
    Netherlands
    It got around 27GB left, I did a full clean format before installing CFW after I downgraded to 9.2
     
  10. ZeroShift

    ZeroShift Advanced Member

    Newcomer
    3
    Sep 23, 2008
    United States
    I'm having a similar issue after formatting my emuNAND in the System Menu to unlink my NNID. FBI works just fine in sysNAND in pasta mode.

    Install failed!
    FBI.cia
    Source: SOURCE_APP_BEGIN_INSTALL (0x5)
    Module: MODULE_NN_OS (0x6)
    Level: LEVEL_PERMANENT (0x1b)
    Summary: SUMMARY_WRONG_ARGUMENT (0x8)
    Description: DESCRIPTION_INVALID_COMMAND (0x2f)
     
  11. Zappo23

    Zappo23 Member

    Newcomer
    1
    Jan 6, 2016
    United States
    So I am totally lost.

    "Install Failed!
    FBI.cia
    Source: SOURCE_AM_START_CIA_INSTALL (0x13)
    Module: MODULE_NN_OS (0x6)
    Level: LEVEL_PERMANENT (0x1b)
    Summary: SUMMARY_WRONG_ARGUMENT (0x8)
    Description: DESCRIPTION_INVALID_COMMAND (0x2f)
    Press Start to continue."

    What am I doing wrong? Tried to install FBI.cia over H&S but getting a "Missing Info" error, and then running FBI CIA installer through HBL is also failing. N3DS, EmuNAND9 v9.2
     
  12. VictorZechs

    VictorZechs Newbie

    Newcomer
    1
    Jan 3, 2016
    Brazil
    its possible or not to instal .cia in 9.2? there is only FBI to install .cia?
     
  13. Cruzinats

    Cruzinats Member

    Newcomer
    1
    Jan 5, 2016
    Netherlands
    Ok, I either had bad files or it was a firmware issue since it seems some games require a higher firmware? I just managed to install a couple games and play them.
     
  14. wjchen

    wjchen Member

    Newcomer
    1
    Jan 6, 2016
    Switzerland
  15. Steveice10
    OP

    Steveice10 GBAtemp Maniac

    Member
    9
    Jul 19, 2009
    United States
    Updated FAQ.
     
  16. Zappo23

    Zappo23 Member

    Newcomer
    1
    Jan 6, 2016
    United States

    Thanks, @Steveice10

    New error:

    "Install failed!

    Fantasy Life (US).cia
    Source: SOURCE_APP WRITE_CIA (0x6)
    Module: MODULE_NN_FS (0x11)
    Level: SUMMARY_WRONG_ARGUMENT (0x8)
    Description: <unknown> (0x18a)"

    I am out of ideas. Friend of mine who got it to work on his o3ds is in uncharted territory.
     
  17. ZeroShift

    ZeroShift Advanced Member

    Newcomer
    3
    Sep 23, 2008
    United States
    Oh I see now, since I updated emuNAND to 9.5.0-23 the .3dsx version is useless and it only worked after the update because I was using a .CIA version I previously installed.
     
  18. Zappo23

    Zappo23 Member

    Newcomer
    1
    Jan 6, 2016
    United States

    See, I DIDN'T update my emuNAND. I'm still at 9.2; so it should work for me, theoretically, no?

    @Steveice10
     
  19. Steveice10
    OP

    Steveice10 GBAtemp Maniac

    Member
    9
    Jul 19, 2009
    United States
    Not sure what that error is, unfortunately. :/
     
  20. kjaved373

    kjaved373 Advanced Member

    Newcomer
    3
    Nov 3, 2008
    United States
    On 9.2 N3DS (reformatted system and sd card), trying to launch using menuhax but keeps getting stuck on yellow screen on bottom. Tried the last two releases available on Github. Any ideas what may be the problem?
     
Quick Reply
Draft saved Draft deleted
Loading...